# Form implementation generated from reading ui file 'src/eric7/SqlBrowser/SqlBrowserWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SqlBrowserWidget(object):
    def setupUi(self, SqlBrowserWidget):
        SqlBrowserWidget.setObjectName("SqlBrowserWidget")
        SqlBrowserWidget.resize(800, 550)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(SqlBrowserWidget)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.splitter = QtWidgets.QSplitter(parent=SqlBrowserWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.splitter.sizePolicy().hasHeightForWidth())
        self.splitter.setSizePolicy(sizePolicy)
        self.splitter.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.splitter.setObjectName("splitter")
        self.connections = SqlConnectionWidget(parent=self.splitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Ignored, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.connections.sizePolicy().hasHeightForWidth())
        self.connections.setSizePolicy(sizePolicy)
        self.connections.setObjectName("connections")
        self.table = QtWidgets.QTableView(parent=self.splitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(2)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.table.sizePolicy().hasHeightForWidth())
        self.table.setSizePolicy(sizePolicy)
        self.table.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.ActionsContextMenu)
        self.table.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectionBehavior.SelectRows)
        self.table.setObjectName("table")
        self.verticalLayout_2.addWidget(self.splitter)
        self.queryGroup = QtWidgets.QGroupBox(parent=SqlBrowserWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.queryGroup.sizePolicy().hasHeightForWidth())
        self.queryGroup.setSizePolicy(sizePolicy)
        self.queryGroup.setMaximumSize(QtCore.QSize(16777215, 200))
        self.queryGroup.setObjectName("queryGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.queryGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.sqlEdit = QtWidgets.QPlainTextEdit(parent=self.queryGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sqlEdit.sizePolicy().hasHeightForWidth())
        self.sqlEdit.setSizePolicy(sizePolicy)
        self.sqlEdit.setMinimumSize(QtCore.QSize(0, 18))
        self.sqlEdit.setObjectName("sqlEdit")
        self.verticalLayout.addWidget(self.sqlEdit)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.clearButton = QtWidgets.QPushButton(parent=self.queryGroup)
        self.clearButton.setObjectName("clearButton")
        self.horizontalLayout.addWidget(self.clearButton)
        self.executeButton = QtWidgets.QPushButton(parent=self.queryGroup)
        self.executeButton.setObjectName("executeButton")
        self.horizontalLayout.addWidget(self.executeButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.verticalLayout_2.addWidget(self.queryGroup)
        self.insertRowAction = QtGui.QAction(parent=SqlBrowserWidget)
        self.insertRowAction.setEnabled(False)
        self.insertRowAction.setObjectName("insertRowAction")
        self.deleteRowAction = QtGui.QAction(parent=SqlBrowserWidget)
        self.deleteRowAction.setEnabled(False)
        self.deleteRowAction.setObjectName("deleteRowAction")

        self.retranslateUi(SqlBrowserWidget)
        QtCore.QMetaObject.connectSlotsByName(SqlBrowserWidget)
        SqlBrowserWidget.setTabOrder(self.sqlEdit, self.clearButton)
        SqlBrowserWidget.setTabOrder(self.clearButton, self.executeButton)
        SqlBrowserWidget.setTabOrder(self.executeButton, self.connections)
        SqlBrowserWidget.setTabOrder(self.connections, self.table)

    def retranslateUi(self, SqlBrowserWidget):
        _translate = QtCore.QCoreApplication.translate
        SqlBrowserWidget.setWindowTitle(_translate("SqlBrowserWidget", "eric SQL Browser"))
        self.queryGroup.setTitle(_translate("SqlBrowserWidget", "SQL Query"))
        self.sqlEdit.setToolTip(_translate("SqlBrowserWidget", "Enter the SQL query to be executed"))
        self.clearButton.setToolTip(_translate("SqlBrowserWidget", "Press to clear the entry"))
        self.clearButton.setText(_translate("SqlBrowserWidget", "&Clear"))
        self.executeButton.setToolTip(_translate("SqlBrowserWidget", "Press to execute the query"))
        self.executeButton.setText(_translate("SqlBrowserWidget", "&Execute"))
        self.insertRowAction.setText(_translate("SqlBrowserWidget", "&Insert Row"))
        self.insertRowAction.setToolTip(_translate("SqlBrowserWidget", "Inserts a new row"))
        self.deleteRowAction.setText(_translate("SqlBrowserWidget", "&Delete Row"))
        self.deleteRowAction.setStatusTip(_translate("SqlBrowserWidget", "Deletes the current row"))
from .SqlConnectionWidget import SqlConnectionWidget
